DROP PROCEDURE IF EXISTS sp_SetReadedNews;
DROP FUNCTION IF EXISTS sp_SetReadedNews;

CREATE PROCEDURE sp_SetReadedNews(
	id uuid,
	type character varying)
    LANGUAGE 'plpgsql'
AS $BODY$
BEGIN

DELETE FROM VCLib.T_NEWS_BOX_LINK_USERS
WHERE VCLib.T_NEWS_BOX_LINK_USERS.NewsBoxLinkUsersID = "id";

END;
$BODY$;

--ALTER FUNCTION sp_SetReadedNews(uuid, character varying) OWNER TO postgres;
